Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153146 - Build failure: "cannot restore segment prot after reloc: Permission denied"
Summary: Build failure: "cannot restore segment prot after reloc: Permission denied"
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-01 20:29 UTC by Anthony Green
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 1.9.89-3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-05 16:17:21 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenOffice.org 44377 None None None Never
OpenOffice.org 46528 None None None Never

Description Anthony Green 2005-04-01 20:29:31 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041111 Firefox/1.0

Description of problem:
My rpmbuild of OO.o fails with this:

../tools/gencmn/gencmn: error while loading shared libraries: ../data/out/libicudata.so.26: cannot restore segment prot afer reloc: Permission denied

This appears to happen in /usr/src/redhat/BUILD/SRC680_m87/icu/unxlngi6.pro/misc/build/icu/source/data



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Try to rpmbuild OO.o
2.
3.
  

Additional info:

Comment 1 Caolan McNamara 2005-04-02 09:49:57 UTC
That error is from selinux which was apparently supposed to be fixed to complain
like that (rh#147806#). Though the real problem is that libicudata is supposed
to be compiled with -fpic, which was also supposed to be fixed. I see now that
the upsteam patch is b0rked.

Comment 2 Caolan McNamara 2005-04-02 10:47:05 UTC
Patch added, will show up in 1.9.89-1 or -2


Note You need to log in before you can comment on or make changes to this bug.